CreditRiskPlus Class Reference

`#include <ql/experimental/risk/creditriskplus.hpp>`

## Public Member Functions

| CreditRiskPlus (const std::vector< Real > &exposure, const std::vector< Real > &defaultProbability, const std::vector< Size > &sector, const std::vector< Real > &relativeDefaultVariance, const Matrix &correlation, const Real unit)
const std::vector< Real > & | loss ()
const std::vector< Real > & | marginalLoss ()
Real | exposure ()
Real | expectedLoss () const
Real | unexpectedLoss ()
Real | relativeDefaultVariance ()
const std::vector< Real > & | sectorExposures () const
const std::vector< Real > & | sectorExpectedLoss () const
const std::vector< Real > & | sectorUnexpectedLoss () const
Real | lossQuantile (const Real p)

## Detailed Description

Extended CreditRisk+ model as described in [1] Integrating Correlations, Risk, July 1999 and the references therein.

Warning:
  the input correlation matrix is not checked for positive definiteness